'''
Created on 26 mars 2018

@author: Tonneau Stephane
'''

import os


class EnvironmentFactory():
    '''Class that can be used to manage environment specificities'''

    def __init__(self):
        '''process log  information'''
        self.system_env = None
        self.environment = None
        if 'HADOOP_IDENT_STRING' in os.environ:
            from . import environment_spark
            self.system_env = "spark"
            self.environment = environment_spark.SparkEnvironment()
        else:
            from . import environment_local
            self.system_env = "local"
            self.environment = environment_local.LocalEnvironment()
