'''
Created on 26 mars 2018

@author: Stephane Tonneau

'''

import logging
from .base_utils import LoggingMethod


class ConsoleLogging(LoggingMethod):
    '''Class that encapsulate console logging methods'''

    def __init__(self, configuration=None):
        # parent initialisation
        super(ConsoleLogging, self).__init__(configuration)
        self.file_position = 0
        self.log_console = logging.getLogger('ConsoleLogging')
        self.log_console.setLevel(logging.INFO)
        if not self.log_console.handlers:
            hdlr = logging.StreamHandler()
            self.log_console.addHandler(hdlr)

    def close(self):
        '''Close the logging instance'''
        pass

    def process_log(self, entry, meta_information):
        '''Method to print a dictionary presentation of the object on the console'''
        doc = entry.to_dict()
        self.log_console.info("document "+meta_information.uid+"_"+str(self.file_position)+" : "+str(doc))
        self.file_position += 1
